Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.java.security
Class AuthenticatorException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--com.novell.java.security.AuthenticatorException

public class AuthenticatorException
extends java.lang.RuntimeException
implements java.io.Serializable, HasRootCause

Employs a "root-cause" mechanism by which the original exception, which may be provider-specific, can be recovered. This exception is the root of the authentication exception hierarchy.

See Also:
  Serialized Form

Field Summary
`protected java.lang.Throwable` | `rootException` The root-cause exception.

Constructor Summary
`AuthenticatorException()` The default constructor.
`AuthenticatorException(java.lang.String message)` Constructor with a String message.
`AuthenticatorException(java.lang.String message, java.lang.Throwable exception)` Constructor with a string message and a root cause exception.

Method Summary
`java.lang.Throwable` | `getRootCause()` Returns the root-cause exception.
`void` | `printStackTrace()` An override the to show both exceptions.
`java.lang.String` | `toString()` Returns a String representation of the exception object.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### rootException

    protected java.lang.Throwable rootException

  The root-cause exception.

Constructor Detail

### AuthenticatorException

    public AuthenticatorException()

  The default constructor.

### AuthenticatorException

    public AuthenticatorException(java.lang.String message)

  Constructor with a String message.
  Parameters:
    `message` - A message associated with the exception.

### AuthenticatorException

    public AuthenticatorException(java.lang.String message,
                                  java.lang.Throwable exception)

  Constructor with a string message and a root cause exception.
  Parameters:
    `message` - A message associated with the exception.
    `exception` - The root cause exception.

Method Detail

### getRootCause

    public java.lang.Throwable getRootCause()

  Returns the root-cause exception.
  Specified by:
    getRootCause in interface HasRootCause
  Returns:
    The root-cause exeption.

### printStackTrace

    public void printStackTrace()

  An override the to show both exceptions.
  Overrides:
    printStackTrace in class java.lang.Throwable

### toString

    public java.lang.String toString()

  Returns a String representation of the exception object.
  Returns:
    A string representation of the exception.
  Overrides:
    toString in class java.lang.Throwable

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD